#include <UIKit/UIKit.h>
#include <CoreGraphics/CoreGraphics.h>
#import "Diagram.h"
#import "DiagramDelegate.h"

@interface DiagramView : UIControl
{
    Diagram* diagram;
    id<DiagramDelegate> diagramDelegate;
}

- (Diagram*) diagram;
-(void) setDiagram:(Diagram*)value;

- (CGPoint) clientToDoc:(CGPoint)point;
- (CGRect) clientToDocRect:(CGRect)rect;
- (CGPoint) docToClient:(CGPoint)point;
- (CGRect) docToClientRect:(CGRect)rect;

@property (nonatomic, assign) IBOutlet id<DiagramDelegate> diagramDelegate;

@end
